Bug 977036 - PHP gear creating throwing PEAR warnings to platform logs
PHP gear creating throwing PEAR warnings to platform logs
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Vojtech Vitek
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 15:56 EDT by Clayton Coleman
Modified: 2015-05-14 20:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:47:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-06-22 15:56:12 EDT
PHP gear creating is filling node/platform-trace.log with spurious warnings.  We should be setting a timezone for these users.

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP Warning:  date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/New_York' for 'EDT/-4.0/DST' instead in /usr/share/pear/PEAR/Registry.php on line 1012

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP Stack trace:

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP   1. {main}() /usr/share/pear/pearcmd.php:0

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP   3. PEAR_Command_Config->doConfigSet() /usr/share/pear/PEAR/Command/Common.php:271

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP   4. PEAR_Registry->channelExists() /usr/share/pear/PEAR/Command/Config.php:237

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP   5. PEAR_Registry->_lock() /usr/share/pear/PEAR/Registry.php:1590

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP   6. PEAR_Registry->_assertStateDir() /usr/share/pear/PEAR/Registry.php:823

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP   7. PEAR_Registry->_initializeDirs() /usr/share/pear/PEAR/Registry.php:410

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP   8. PEAR_Registry->_initializeChannelDirs() /usr/share/pear/PEAR/Registry.php:307

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP   9. PEAR_Registry->_addChannel() /usr/share/pear/PEAR/Registry.php:221

June 22 15:47:40 INFO oo_spawn buffer(7/) PHP  10. date() /usr/share/pear/PEAR/Registry.php:1012
Comment 1 Vojtech Vitek 2014-01-14 17:48:48 EST
https://github.com/openshift/origin-server/pull/4450
Comment 2 Vojtech Vitek 2014-01-15 19:58:26 EST
openshift-github-bot 2014-01-15 22:45:19 CET
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/d62bb4c3d394cc8ea2a7abbf7ca18d09d57e3c86
fix php cart PEAR builds

- ignore checking for php extensions, as they're not PEARs
- do not fail on upgrading PEAR to the same specific version
- upgrade each PEAR with all dependencies
- prevent malforming PEAR cache&registry files

Bug 1047473 - Fail to install missing dependencies to PHP-5.4 app via
deplist.txt - https://bugzilla.redhat.com/show_bug.cgi?id=1047473

Bug 1045338 - Failed to create drupal quickstart with php-5.4 cartridge
in INT - https://bugzilla.redhat.com/show_bug.cgi?id=1045338

Bug 1046048 - Mail PEAR causes errors during deploy, no email
capabilities - https://bugzilla.redhat.com/show_bug.cgi?id=1046048

Bug 977036 - PHP gear creating throwing PEAR warnings to platform
logs - https://bugzilla.redhat.com/show_bug.cgi?id=977036
Comment 3 chunchen 2014-01-16 03:03:32 EST
It's fixed, verified on devenv_4230, please refer to the following results:

1. Create a php app
rhc app create cphp43 php-5.4 --no-git -s
2. Tail the log file
[root@ip-10-9-156-141 node]# tail -f platform-trace.log | grep -e PEAR  -e Warning -e warning

January 16 02:50:47 INFO oo_spawn buffer(11/) CONFIGURATION (CHANNEL PEAR.PHP.NET):
January 16 02:50:47 INFO oo_spawn buffer(11/) PEAR server [DEPRECATED]       master_server    <not set>
January 16 02:50:47 INFO oo_spawn buffer(11/) PEAR executables directory     bin_dir          /var/lib/openshift/52d78f4912b27edcb7000147/php/phplib/pear/pear
January 16 02:50:47 INFO oo_spawn buffer(11/) PEAR documentation directory   doc_dir          /var/lib/openshift/52d78f4912b27edcb7000147/php/phplib/pear/pear/docs
January 16 02:50:47 INFO oo_spawn buffer(11/) PEAR metadata directory        metadata_dir     <not set>
PEAR directory                 php_dir          /var/lib/openshift/52d78f4912b27edcb7000147/php/phplib/pear/pear/php
PEAR Installer cache directory cache_dir        /var/lib/openshift/52d78f4912b27edcb7000147/php/phplib/pear/pear/cache
PEAR configuration file        cfg_dir          /var/lib/openshift/52d78f4912b27edcb7000147/php/phplib/pear/pear/cfg
PEAR data directory            data_dir         /var/lib/openshift/52d78f4912b27edcb7000147/php/phplib/pear/pear/data
PEAR Installer download        download_dir     /var/lib/openshift/52d78f4912b27edcb7000147/php/phplib/pear/pear/download
PEAR Installer temp directory  temp_dir         /var/lib/openshift/52d78f4912b27edcb7000147/php/phplib/pear/pear/temp
PEAR test directory            test_dir         /var/lib/openshift/52d78f4912b27edcb7000147/php/phplib/pear/pear/tests
PEAR www files directory       www_dir          /var/lib/openshift/52d78f4912b27edcb7000147/php/phplib/pear/pear/www
PEAR password (for             password         <not set>
PEAR username (for             username         <not set>
git archive --format=tar master | (cd /var/lib/openshift/52d78f4912b27edcb7000147/app-root/runtime/repo && tar --warning=no-timestamp -xf -);
January 16 02:50:48 INFO oo_spawn buffer(6/) + tar --warning=no-timestamp -xf -

Note You need to log in before you can comment on or make changes to this bug.